23 Октябрь 2017, 21:49:50Последний пользователь: avitas55
Страниц: 1 [2] 3 4 ... 7   Вниз
  Отправить эту тему  |  Печать  
Автор Тема: Ace Stream 3.1 for Ubuntu (ru/en)  (Прочитано 19508 раз)
0 Пользователей и 4 Гостей смотрят эту тему.
Tamer4
Newbie
*
Оффлайн Оффлайн
Сообщений: 33

Email
« Ответ #15 : 09 Февраль 2017, 16:00:00 »

Пробовал брать движок из  http://dl.acestream.org/linux/acestream_3.1.16_ubuntu_16.04_x86_64.tar.gz , но вывод ошибки тот же
Направьте на путь истинный
Лучше берите движок 3.1. Там, насколько я помню, появилась функция "Медиа-сервер", очень полезная и удобная штука.

загрузил релиз 3.1.16, не запускается с такой-же ошибкой, кто-нибудь знает как использовать системный python?
а пакеты доустанавливал?
apt install python-gtk2 python-appindicator python-m2crypto python-apsw wrapsrv
У меня после установки этих пакетов движок завелся и -console и -gtk
« Последнее редактирование: 09 Февраль 2017, 16:01:40 от Tamer4 » Сообщить модератору   Записан
Stranyk
Newbie
*
Оффлайн Оффлайн
Сообщений: 5

Email
« Ответ #16 : 09 Февраль 2017, 16:34:08 »

а пакеты доустанавливал?
apt install python-gtk2 python-appindicator python-m2crypto python-apsw wrapsrv
У меня после установки этих пакетов движок завелся и -console и -gtk

Да, все пакеты установлены, сегодня домой приду на домашнем компе попробую.
« Последнее редактирование: 10 Февраль 2017, 13:55:56 от Benny » Сообщить модератору   Записан
Tamer4
Newbie
*
Оффлайн Оффлайн
Сообщений: 33

Email
« Ответ #17 : 09 Февраль 2017, 16:51:11 »

А пакет python-m2ext установлен? У меня просто он подтянулся по зависимости, потому я его не указал.
Сообщить модератору   Записан
asavah
Newbie
*
Оффлайн Оффлайн
Сообщений: 1

Email
« Ответ #18 : 09 Февраль 2017, 21:34:47 »

Господа разработчики - спасибо!
Я уж думал вы совсем на линуксоидов положили и думал не продлевать подписку ...

А если по делу:

Для тех у кого крэшится запуск движка с бэктрэйсом питона (cryptography) есть решение костыль:

Матчасть: https://github.com/pyca/cryptography/issues/3089
будующий фикс: https://github.com/pyca/cryptography/pull/3278

И собссно костыль в виде патча:
http://pastebin.com/s7fPm65n

wget http://pastebin.com/raw/s7fPm65n -O py-crypto.patch
cd /usr/lib/python2.7/dist-packages
sudo patch -p 0  < ~/py-crypto.patch

Секюрность решения ессно не гарантирую, я по SSL не спец.
Сообщить модератору   Записан
Stranyk
Newbie
*
Оффлайн Оффлайн
Сообщений: 5

Email
« Ответ #19 : 09 Февраль 2017, 22:19:51 »

Всем спасибо за поддержку, завёл и на сервере.
Пришел домой, скачал, на домашнем компе ace завёлся.

Если у кого будут подобные проблемы нужно
1. С помощью команды purge почистить старые установки ace.
2. Удалить каталог cryptograph из python2.7, путь /usr/lib/python2.7/dist-packages/cryptography
« Последнее редактирование: 10 Февраль 2017, 13:54:33 от Benny » Сообщить модератору   Записан
vasilisc
Newbie
*
Оффлайн Оффлайн
Сообщений: 39

Email
« Ответ #20 : 10 Февраль 2017, 06:51:33 »

НО запуск плеера вызывает ошибку
А ошибка эта где - в консоли при запуске бинарника плеера, или в логе движка?
при запуске бинарника плеера в Терминале
нашёл статью, где вроде как помогла возня с пакетом libgcrypt, но мне совет не помог
http://archlinux.org.ru/forum/topic/12288/?page=7
« Последнее редактирование: 10 Февраль 2017, 08:53:59 от vasilisc » Сообщить модератору   Записан
anton
Administrator
Jr. Member
*****
Оффлайн Оффлайн
Сообщений: 67

Email
« Ответ #21 : 10 Февраль 2017, 09:25:19 »

при запуске бинарника плеера в Терминале
нашёл статью, где вроде как помогла возня с пакетом libgcrypt, но мне совет не помог
http://archlinux.org.ru/forum/topic/12288/?page=7
Похоже на то, что бинарник acestreamplayer подтягивает библиотеку libvlc вместо libtsplayer.
Ace Stream Player построен на базе VLC и использует модифицированную библиотеку libvlc, которая переименована в libtsplayer. Библиотек на самом деле две: libtsplayer (аналог libvlc) и libtsplayercore (аналог libvlccore)

Бинарник acestreamplayer должен подтягивать модифицированные библиотеки:
user@host:~$ ldd /usr/bin/acestreamplayer
        linux-vdso.so.1 =>  (0x00007ffd0c96e000)
        libtsplayer.so.5 => /usr/lib/libtsplayer.so.5 (0x00007f99d4714000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f99d44f4000)
        libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f99d42ec000)
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f99d3f24000)
        libtsplayercore.so.7 => /usr/lib/libtsplayercore.so.7 (0x00007f99d3c3c000)
        /lib64/ld-linux-x86-64.so.2 (0x0000556d15c37000)
        librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f99d3a34000)
        libidn.so.11 => /usr/lib/x86_64-linux-gnu/libidn.so.11 (0x00007f99d37fc000)
        libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f99d34f4000)
        libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007f99d32ac000)

При установке из deb-пакета на Ubuntu 14.04 плеер запускается без проблем.
Но указанную ошибку удалось воспроизвести искуственно путем подмены libtsplayercore на libvlccore:
user@host:~$ ls -l /usr/lib | grep libtsplayer                                                                                                                   
lrwxrwxrwx   1 root root           15 Feb 10 09:04 libtsplayercore.so.7 -> libvlccore.so.7
lrwxrwxrwx   1 root root           20 Nov  4  2014 libtsplayer.so.5 -> libtsplayer.so.5.4.0
-rw-r--r--   1 root root       749724 Nov  4  2014 libtsplayer.so.5.4.0

Проверьте, какие библиотеки у вас подтягиваются. Проблема однозначно вызвана тем, что подтянулась "не та" библиотека libtsplayercore. Возможно, какая-то старая версия подтянулась.
Сообщить модератору   Записан
vasilisc
Newbie
*
Оффлайн Оффлайн
Сообщений: 39

Email
« Ответ #22 : 10 Февраль 2017, 14:22:11 »

Спасибо за помощь всем откликнувшимся. Продвинулся дальше. Стартует engine и плеер коннектится к нему. Осталось причесать детали и в принципе готово. Детали позже.
Сообщить модератору   Записан
vasilisc
Newbie
*
Оффлайн Оффлайн
Сообщений: 39

Email
« Ответ #23 : 11 Февраль 2017, 15:34:10 »

Всё получилось из задуманного. В понедельник ещё погоняю тесты и можно выкладывать AceStream[Player|Engine] в Ubuntu Store.
Сообщить модератору   Записан
zevosis
Newbie
*
Оффлайн Оффлайн
Сообщений: 7

Email
« Ответ #24 : 13 Февраль 2017, 17:13:54 »

Вот с такой тарабарщиной все происходит. наведите на мысль
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: /opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: �: not found
��@��: not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: ��: not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine:: not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: /opt/acestrea�/acestreamengine: 1: /opt/acestream/acestreamengine: �
 @jlibpython2.7.so.1.0__gmon_start___Jv_RegisterClasses_ITM_deregisterTMCloneTable_ITM_registerTMCloneTablePyErr_PrintPyBool_FromLongPy_FatalErrorPy_CompileStringFlagsPyDict_NewPyEval_GetBuiltinsPy_FinalizePySys_SetObjectPy_SetProgramNamePySys_SetArgvPyDict_SetItemStringPy_InitializePyEval_EvalCodePyString_FromStringlibpthread.so.0libc.so.6__stack_chk_failmalloc__snprintf_chk__libc_start_mainfree_edata__bss_start_end__libc_csu_fini__data_start_IO_stdin_used__libc_csu_initGLI�ui: File name too long�: not found_ii

/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: ELF: not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: : not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: 0: not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: @: not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine:P: not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: : not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine:
                                                                   h: not found
x: not foundam/acestreamengine: 1: /opt/acestream/acestreamengine:
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: �: not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: �: not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: �: not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: H�H��: not found
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: x�!: not found
/opt/acestream/acestreamengine: 4: /opt/acestream/acestreamengine: Syntax error: "(" unexpected
Сообщить модератору   Записан
Benny
Administrator
Hero Member
*****
Оффлайн Оффлайн
Сообщений: 666

Email
« Ответ #25 : 13 Февраль 2017, 18:45:43 »

Цитировать
наведите на мысль
Подробнее - ОС, версия, последовательность действий.
Дополнительные пакеты согласно инструкции установлены, установка первая или апгрейд старой версии Ace Stream?
Сообщить модератору   Записан
zevosis
Newbie
*
Оффлайн Оффлайн
Сообщений: 7

Email
« Ответ #26 : 13 Февраль 2017, 20:15:28 »

Цитировать
наведите на мысль
Подробнее - ОС, версия, последовательность действий.
Дополнительные пакеты согласно инструкции установлены, установка первая или апгрейд старой версии Ace Stream?
Спасибо за попытку помощи как оказалось тупому)
Ос - ubuntu 14.04
версия движка  - 3,1,16
Установку делал по инструкции с вики, все пакеты установленны
Сначала удалил предыдущую версию apt-get remove acestream-full
Далее поставил новую по  инструкции с вики. при попытке запуска вижу это.
В папке с движком создается при запуске пустой фаил, название не понятно, кодировка названия не определяется
Сообщить модератору   Записан
Benny
Administrator
Hero Member
*****
Оффлайн Оффлайн
Сообщений: 666

Email
« Ответ #27 : 13 Февраль 2017, 20:51:25 »

Сначала удалил предыдущую версию apt-get remove acestream-full
Далее поставил новую по  инструкции с вики. при попытке запуска вижу это.
В папке с движком создается при запуске пустой фаил, название не понятно, кодировка названия не определяется

А локаль какая у пользователя установлена?
Есть смысл переименовать/удалить из домашнего каталога все, что связано с .AceStream (включая предыдущие egg файлы).

Движок запускается бинарником "acestreamerngine" или "start-engine"? Второй на самом деле запускает первый, но при запуске указывает движку, где лежат библиотечные файлы - т.е запускать нужно именно его, либо экспортировать путь предварительно.
Сообщить модератору   Записан
zevosis
Newbie
*
Оффлайн Оффлайн
Сообщений: 7

Email
« Ответ #28 : 17 Февраль 2017, 08:00:25 »

Так и не смог разобраться в проблеме. Но на сервере с такой же системой все завелось.
Теперь новый вопрос возник. На сервере нет иксов, а сам он на работе. Подскажите как при помощи консоли или правки файлов включить доступ к веб морде и потокам из вне?
« Последнее редактирование: 17 Февраль 2017, 09:22:28 от zevosis » Сообщить модератору   Записан
Benny
Administrator
Hero Member
*****
Оффлайн Оффлайн
Сообщений: 666

Email
« Ответ #29 : 17 Февраль 2017, 15:57:54 »

На сервере нет иксов, а сам он на работе. Подскажите как при помощи консоли или правки файлов включить доступ к веб морде и потокам из вне?
Для первоначальной настройки нужно запустить движок с дополнительным ключом --access-token "some_token" (по умолчанию "access token" генерируется случайным образом при каждом запуске движка).
Тогда веб-интерфейс будет доступен по ссылке вида "http://host:6878/webui/app/some_token/server". После настройки ключ "--access-token" не нужен, движок можно запускать без него, а веб-интерфейс будет доступен по ссылке вида "http://host:6878/server"
Сообщить модератору   Записан
Страниц: 1 [2] 3 4 ... 7   Вверх
  Отправить эту тему  |  Печать